CVE-2022-1785

Out-of-bounds Write in GitHub repository vim/vim prior to 8.2.4977.
Configurations

Configuration 1 (hide)

cpe:2.3:a:vim:vim:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*

History

28 Nov 2022, 22:11

Type Values Removed Values Added
References (MLIST) https://lists.debian.org/debian-lts-announce/2022/11/msg00032.html - (MLIST) https://lists.debian.org/debian-lts-announce/2022/11/msg00032.html - Mailing List, Third Party Advisory
CPE cpe:2.3:o:debian:debian_linux:10.0:*:*:*:*:*:*:*
First Time Debian
Debian debian Linux

24 Nov 2022, 16:15

Type Values Removed Values Added
References
  • (MLIST) https://lists.debian.org/debian-lts-announce/2022/11/msg00032.html -

01 Sep 2022, 19:43

Type Values Removed Values Added
References (GENTOO) https://security.gentoo.org/glsa/202208-32 - (GENTOO) https://security.gentoo.org/glsa/202208-32 - Third Party Advisory

21 Aug 2022, 07:15

Type Values Removed Values Added
References
  • (GENTOO) https://security.gentoo.org/glsa/202208-32 -

26 May 2022, 13:47

Type Values Removed Values Added
References (CONFIRM) https://huntr.dev/bounties/8c969cba-eef2-4943-b44a-4e3089599109 - (CONFIRM) https://huntr.dev/bounties/8c969cba-eef2-4943-b44a-4e3089599109 - Exploit, Third Party Advisory
References (MISC) https://github.com/vim/vim/commit/e2bd8600b873d2cd1f9d667c28cba8b1dba18839 - (MISC) https://github.com/vim/vim/commit/e2bd8600b873d2cd1f9d667c28cba8b1dba18839 - Patch, Third Party Advisory
CVSS v2 : unknown
v3 : unknown
v2 : 4.6
v3 : 7.8
CPE cpe:2.3:a:vim:vim:*:*:*:*:*:*:*:*
First Time Vim
Vim vim
CWE CWE-787

20 May 2022, 10:15

Type Values Removed Values Added
Summary Out-of-bounds Write in GitHub repository vim/vim prior to 8.2. Out-of-bounds Write in GitHub repository vim/vim prior to 8.2.4977.

19 May 2022, 13:15

Type Values Removed Values Added
New CVE

Information

Published : 2022-05-19 13:15

Updated : 2022-11-28 22:11


NVD link : CVE-2022-1785

Mitre link : CVE-2022-1785


JSON object : View

Products Affected

debian

  • debian_linux

vim

  • vim
CWE
CWE-787

Out-of-bounds Write